<div class="custom-dialog" *ngIf="roleForm">

  <h2 mat-dialog-title>Crear Rol de Usuario</h2>
  <div mat-dialog-content>

    <mat-horizontal-stepper [linear]="true" #stepper>

      <!-- GENERAL STEP-->
      <mat-step [stepControl]="roleForm.get('general')">
        <form [formGroup]="roleForm.get('general')" autocomplete="off">
          <ng-template matStepLabel>
            <span *ngIf="width>deviceService.breakpoints.sm">Generales</span>
          </ng-template>

          <h2 style="text-align:center;" *ngIf="width<deviceService.breakpoints.sm">Generales</h2>

          <div fxLayout="column" fxLayoutAlign="center center">

            <div fxFlex="100">
              <p>
                <mat-form-field>
                  <mat-label>Código</mat-label>
                  <input matInput required formControlName="code">


                  <!--ERRORS-->
                  <mat-error *ngIf="roleForm.get('general.code').errors &&
                   roleForm.get('general.code').errors['duplicated']">
                    Este código ya ha sido registrado
                  </mat-error>
                  <mat-error *ngIf="roleForm.get('general.code').errors &&
                             roleForm.get('general.code').errors['required']">
                    El código es obligatorio
                  </mat-error>
                  <!--END ERRORS-->

                </mat-form-field>
              </p>

              <!--VERYFING AVAILABILITY-->
              <mat-spinner [diameter]="30" color="accent" *ngIf="roleForm.get('general.code').pending" fxFlex="100" fxFlexAlign="center">
              </mat-spinner>
              <!--END VERYFING-->

            </div>
            

            <div fxFlex="100">
              <p>
                <mat-form-field>
                  <mat-label>Descripción</mat-label>
                  <textarea matInput required formControlName="description"></textarea>
                  <mat-error>La descripción es requerida</mat-error>
                </mat-form-field>
              </p>
            </div>

          </div>



        </form>
      </mat-step>

      <!-- END GENERAL STEP-->


      <!-- USER PERMISSIONS STEP -->
      <mat-step [stepControl]="roleForm.get('user_permissions')">
        <form [formGroup]="roleForm.get('user_permissions')">
          <ng-template matStepLabel>
            <span *ngIf="width>deviceService.breakpoints.sm">Permisos para Usuarios</span>
          </ng-template>

          <h2 style="text-align:center;" *ngIf="width<deviceService.breakpoints.sm">Permisos para Usuarios</h2>

        </form>


      </mat-step>
      <!--END USER PERMISSIONS STEP -->

      <!-- PACIENT PERMISSIONS STEP-->
      <mat-step [stepControl]="roleForm.get('pacient_permissions')">
        <form [formGroup]="roleForm.get('pacient_permissions')">
          <ng-template matStepLabel>
            <span *ngIf="width>deviceService.breakpoints.sm">Permisos para Pacientes</span>
          </ng-template>


        </form>
      </mat-step>
      <!--END PACIENT PERMISSIONS STEP-->

    </mat-horizontal-stepper>

  </div>
  <div class="spacer"></div>

  <div mat-dialog-actions fxFlexAlign="end">
    <button mat-button mat-raised-button color="primary" (click)="stepper.previous()">
      <mat-icon>arrow_backward</mat-icon> Anterior
    </button>

    <button *ngIf="!roleForm.valid" mat-button mat-raised-button color="primary" (click)="stepper.next()">
      <mat-icon>arrow_forwards</mat-icon> Siguiente
    </button>

    <button *ngIf="roleForm.valid" mat-button mat-raised-button color="warn" (click)="onSubmit()">
      <mat-icon>save</mat-icon> Guardar
    </button>
  </div>


</div>